# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

# If you want to build with hibernate2 support
# give rpmbuild option '--with hibernate2'

%define with_hibernate2 %{?_with_hibernate2:1}%{!?_with_hibernate2:0}
%define without_hibernate2 %{!?_with_hibernate2:1}%{?_with_hibernate2:0}


%define section free
%define bname  spring
%define jpp5   1

Name:           spring2
Summary:        Spring J2EE Framework
Url:            http://www.springframework.org/
Version:        2.5.6
Release:        1%{?dist}
Epoch:          0
License:        ASL 2.0
Group:          Development/Libraries/Application Frameworks
Source0:        %{bname}-framework-%{version}.tar.gz
#  cvs -d:pserver:anonymous@springframework.cvs.sourceforge.net:/cvsroot/springframework login
#  cvs -z3 -d:pserver:anonymous@springframework.cvs.sourceforge.net:/cvsroot/springframework export -r release-2-5-5 spring
Source1:        http://static.springframework.org/spring/files/docbook-reference-libs.zip

Patch0:         spring-2.5.1-WorkManagerTaskExecutor.patch
Patch1:         spring-2.5.5-SqlMapClientFactoryBean.patch
Patch2:         spring-2.5.1-HibernateJpaDialect.patch
Patch3:         spring-2.5.1-DefaultContextLoadTimeWeaver.patch
Patch4:         spring-2.5.1-build.patch
Patch5:         spring-2.5.1-PathMatchingResourcePatternResolverTests.patch
Patch6:         spring-2.5.1-TopLinkTransactionManager.patch
#Patch7:         spring-2.5.1-JtaTransactionManagerBeanDefinitionParser.patch
Patch8:         spring-2.5.1-JRubyScriptUtils.patch
Patch9:         spring-2.5.5-quartz-1.6.0-SchedulerFactoryBean.patch
Patch10:        spring-2.5.5-HibernateJpaVendorAdapter.patch
Patch11:        spring-2.5.5-TilesViewTests.patch

Patch21:        spring2-2.5.6-jdk5-DefaultPropertiesPersister.patch
Patch22:        spring2-2.5.6-jdk5-JmxUtils.patch
Patch23:        spring2-2.5.6-jdk5-MBeanExporter.patch
Patch24:        spring2-2.5.6-jdk5-MBeanClientInterceptor.patch
Patch25:        spring2-2.5.6-jdk5-DefaultLobHandler.patch
Patch26:        spring2-2.5.6-jdk5-SQLExceptionSubclassTranslator.patch
Patch27:        spring2-2.5.6-jdk5-DelegatingDataSource.patch
Patch28:        spring2-2.5.6-jdk5-CollectionFactory.patch
Patch29:        spring2-2.5.6-jdk5-JaxWsSoapFaultException.patch
Patch30:        spring2-2.5.6-jdk5-ThreadPoolTaskExecutor.patch
Patch31:        spring2-2.5.6-jdk5-ExtendedModelMap.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 1.5.0
#BuildRequires:  java-fonts
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-trax
BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  junit
BuildRequires:  junit-addons
BuildRequires:  junit44
BuildRequires:  antlr
BuildRequires:  excalibur-avalon-framework
BuildRequires:  saxon

BuildRequires:  activemq3
BuildRequires:  annotation_1_0_api
BuildRequires:  aopalliance
BuildRequires:  apache-ibatis-sqlmap >= 0:2.3.2
BuildRequires:  apache-jdo-2.0-api
BuildRequires:  openjpa >= 0:1.0.1
#BuildRequires:  aqute-bndlib
BuildRequires:  asm
BuildRequires:  asm2
BuildRequires:  aspectj >= 0:1.5.3
BuildRequires:  axis
BuildRequires:  backport-util-concurrent >= 0:3.1
BuildRequires:  bsh2
BuildRequires:  burlap >= 0:3.0.8
BuildRequires:  c3p0 >= 0:0.9.0
BuildRequires:  cglib
BuildRequires:  commonj_1_1_apis
BuildRequires:  dom4j
BuildRequires:  easymock
BuildRequires:  easymock-classextension
BuildRequires:  ecj
BuildRequires:  ehcache >= 0:1.3.0
BuildRequires:  ejb_3_0_api
BuildRequires:  el_1_0_api
BuildRequires:  xmlgraphics-fop
BuildRequires:  freemarker
BuildRequires:  glassfish-jstl
BuildRequires:  glassfish-persistence-impl
BuildRequires:  groovy15
BuildRequires:  hessian-nodep
BuildRequires:  hibernate3
BuildRequires:  hibernate3-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hsqldb
BuildRequires:  httpunit
BuildRequires:  interceptor_3_0_api
BuildRequires:  itext
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  jaf_1_1_api
BuildRequires:  jakarta-cactus
BuildRequires:  jakarta-commons-attributes
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-fileupload
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-io
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-commons-validator
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  jamonapi
BuildRequires:  jarjar
BuildRequires:  jasperreports >= 0:2.0.4
BuildRequires:  javamail_1_4_api
BuildRequires:  jaxb_2_1_api
BuildRequires:  jaxen
BuildRequires:  jaxrpc_1_1_api
BuildRequires:  jaxws_2_1_api
BuildRequires:  jboss4-common
BuildRequires:  jdom
BuildRequires:  jexcelapi
BuildRequires:  jmock
BuildRequires:  jms_1_1_api
BuildRequires:  jotm
BuildRequires:  jpa_3_0_api
BuildRequires:  jruby >= 0:1.1.1
BuildRequires:  jruby-bytelist
BuildRequires:  jsp_2_1_api
BuildRequires:  jta_1_0_1B_api
BuildRequires:  jakarta-poi >= 0:2.5.1
BuildRequires:  log4j
BuildRequires:  jsf_1_2_api
BuildRequires:  mx4j >= 0:3.0.1-2jpp
BuildRequires:  ognl
BuildRequires:  portlet-1.0-api
BuildRequires:  qdox15
BuildRequires:  quartz16
BuildRequires:  saaj_1_3_api
BuildRequires:  serp
BuildRequires:  servlet_2_4_api
BuildRequires:  slf4j
BuildRequires:  struts >= 0:1.3.8
BuildRequires:  struts-tiles >= 0:1.3.8
BuildRequires:  testng
BuildRequires:  jtidy
BuildRequires:  tiles
BuildRequires:  tomcat5
BuildRequires:  velocity
BuildRequires:  velocity-tools
BuildRequires:  ws_metadata_2_0_api
BuildRequires:  wsdl4j
BuildRequires:  xapool
BuildRequires:  xjavadoc
BuildRequires:  xerces-j2

Requires:       java >= 0:1.5.0
Requires:       java-fonts

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Spring is a layered Java/J2EE application framework, 
based on code published in Expert One-on-One J2EE 
Design and Development by Rod Johnson (Wrox, 2002). 

%package core
Summary:        Spring core
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       asm2
Requires:       backport-util-concurrent >= 0:3.0
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-logging
Requires:       log4j

%description core
Spring bean container, core utilities
Optionals: log4j

%package aspects
Summary:        Spring aspects
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-tx = 0:%{version}-%{release}
Requires:       aspectj >= 0:1.5.3
Requires:       jakarta-commons-logging

%description aspects
Spring AOP aspects, source level metadata support
Optionals: cglib, jakarta-commons-attributes

%package aop
Summary:        Spring aop
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       aopalliance
Requires:       aspectj >= 0:1.5.3
Requires:       cglib
Requires:       jakarta-commons-attributes
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-pool
Requires:       jamonapi

%description aop
Spring AOP framework, source level metadata support
Optionals: cglib, jakarta-commons-attributes

%package agent
Summary:        Spring aop
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       aopalliance

%description agent
Spring AOP agent, source level metadata support
Optionals: cglib, jakarta-commons-attributes


%package beans
Summary:        Spring beans
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       cglib
Requires:       jakarta-commons-logging

%description beans
%{summary}.

%package context
Summary:        Spring context
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-agent = 0:%{version}-%{release}
Requires:       %{name}-aop = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       aopalliance
Requires:       backport-util-concurrent
Requires:       jakarta-commons-logging
Requires:       commonj_1_1_apis
Requires:       ejb_3_0_api
Requires:       interceptor_3_0_api
Requires:       jaxrpc_1_1_api
Requires:       jms_1_1_api

%description context
Spring application context, validation, UI support, mail,
JNDI, JMS, EJB, remoting, scheduling, caching
Optionals: velocity, freemarker, javamail, jms, ejb, axis,
hessian, burlap, quartz, ehcache

%package context-support
Summary:        Spring context-support
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-aop = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-jdbc = 0:%{version}-%{release}
Requires:       %{name}-tx = 0:%{version}-%{release}
Requires:       aopalliance
Requires:       bsh2
Requires:       cglib
Requires:       commonj_1_1_apis
Requires:       ehcache >= 0:1.3.0
Requires:       freemarker
Requires:       groovy
Requires:       jaf_1_1_api
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-logging
Requires:       jasperreports >= 0:2.0.4
Requires:       javamail_1_4_api
Requires:       jruby >= 0:1.1.1
Requires:       jruby-bytelist
Requires:       quartz16
Requires:       velocity
Requires:       velocity-tools

%description context-support
Spring context support, transaction infrastructure, JDBC support
Optionals: spring-aop, jta

%package jms
Summary:        Spring jms
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-context-support = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-tx = 0:%{version}-%{release}
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-pool
Requires:       jms_1_1_api

%description jms
%{summary}.

%package jdbc
Summary:        Spring jdbc
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-tx = 0:%{version}-%{release}
Requires:       c3p0
Requires:       jakarta-commons-dbcp
Requires:       jakarta-commons-logging
Requires:       jotm

%description jdbc
%{summary}.

%package orm
Summary:        Spring orm
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-aop = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-jdbc = 0:%{version}-%{release}
Requires:       %{name}-tx = 0:%{version}-%{release}
Requires:       %{name}-web = 0:%{version}-%{release}
Requires:       aopalliance
Requires:       apache-jdo-2.0-api
Requires:       apache-ibatis-sqlmap >= 0:2.3.2
#Requires:       glassfish-persistence
Requires:       hibernate3
Requires:       hibernate3-entitymanager
Requires:       jakarta-commons-logging
Requires:       jpa_3_0_api

%description orm
Spring Hibernate support, JDO support, Apache OJB, iBATIS SQL Maps
Optionals: hibernate, hibernate3, hibernate-annotations, 
apache-jdo-2.0-api, db-ojb, ibatis, j2ee-connector

%package test
Summary:        Spring test
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-jdbc = 0:%{version}-%{release}
Requires:       %{name}-orm = 0:%{version}-%{release}
Requires:       %{name}-tx = 0:%{version}-%{release}
Requires:       %{name}-webmvc = 0:%{version}-%{release}
Requires:       aspectj >= 0:1.5.3
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       jpa_3_0_api
Requires:       jsp_2_0_api
Requires:       junit
Requires:       portlet-1.0-api
Requires:       servlet_2_4_api

%description test
%{summary}.

%package tomcat-weaver
Summary:        Spring tomcat weaver
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       tomcat5

%description tomcat-weaver
%{summary}.

%package tx
Summary:        Spring tx
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-aop = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       aopalliance
Requires:       j2ee_connector_1_5_api
Requires:       jakarta-commons-logging
Requires:       jotm
Requires:       jta_1_1_api
Requires:       xapool

%description tx
%{summary}.

%package web
Summary:        Spring web
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       axis
Requires:       hessian-nodep
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       jsp_2_0_api
Requires:       log4j
Requires:       jsf_1_1_api
Requires:       servlet_2_4_api
Requires:       struts >= 0:1.3.8
Requires:       struts-tiles >= 0:1.3.8

%description web
Spring web application support, multipart resolver, struts support,
web utilities
Optionals: jspapi, jakarta-taglibs-standard, jakarta-commons-fileupload,
struts

%package webmvc
Summary:        Spring webmvc
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-context-support = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-web = 0:%{version}-%{release}
Requires:       freemarker
Requires:       itext
Requires:       jakarta-commons-attributes
Requires:       jakarta-commons-logging
Requires:       jakarta-poi
Requires:       jakarta-taglibs-standard
Requires:       jasperreports >= 0:2.0.2
Requires:       jexcelapi
Requires:       jsp_2_0_api
Requires:       servlet_2_4_api
Requires:       tiles
Requires:       velocity
Requires:       velocity-tools

%description webmvc
Spring framework servlets, web MVC framework, web controllers, web views
Optionals: tiles, itext, poi

%package webmvc-portlet
Summary:        Spring webmvc-portlet
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-web = 0:%{version}-%{release}
Requires:       %{name}-webmvc = 0:%{version}-%{release}
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-logging
Requires:       jsp_2_0_api
Requires:       portlet-1.0-api

%description webmvc-portlet
Spring framework portlet support
Optionals: tiles, itext, poi

%package webmvc-struts
Summary:        Spring webmvc-struts
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       %{name}-beans = 0:%{version}-%{release}
Requires:       %{name}-context = 0:%{version}-%{release}
Requires:       %{name}-core = 0:%{version}-%{release}
Requires:       %{name}-web = 0:%{version}-%{release}
Requires:       %{name}-webmvc = 0:%{version}-%{release}
Requires:       jakarta-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       jsp_2_0_api
Requires:       servlet_2_4_api
Requires:       struts >= 0:1.3.8
Requires:       tiles

%description webmvc-struts
Spring framework struts support
Optionals: tiles, itext, poi

%package all
Summary:        Spring all except mocks
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = 0:%{version}-%{release}
Requires:       aopalliance
Requires:       apache-ibatis-sqlmap >= 0:2.3.2
Requires:       apache-jdo-2.0-api
Requires:       asm2
Requires:       aspectj >= 0:1.5.3
Requires:       axis
Requires:       backport-util-concurrent >= 0:3.0
Requires:       bsh2
Requires:       c3p0
Requires:       cglib
Requires:       commonj_1_1_apis
Requires:       ehcache >= 0:1.3.0
Requires:       ejb_3_0_api
Requires:       freemarker
#Requires:       glassfish-persistence
Requires:       groovy
Requires:       hessian-nodep
Requires:       hibernate3
Requires:       hibernate3-entitymanager
Requires:       interceptor_3_0_api
Requires:       itext
Requires:       j2ee_connector_1_5_api
Requires:       jaf_1_1_api
Requires:       jakarta-commons-attributes
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-dbcp
Requires:       jakarta-commons-fileupload
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-pool
Requires:       jakarta-oro
Requires:       jakarta-poi
Requires:       jakarta-taglibs-standard
Requires:       jamonapi
Requires:       javamail_1_4_api
Requires:       jaxrpc_1_1_api
Requires:       jexcelapi
Requires:       jms_1_1_api
Requires:       jotm
Requires:       jpa_3_0_api
Requires:       jruby >= 0:1.1.1
Requires:       jruby-bytelist
Requires:       jsp_2_0_api
Requires:       jta_1_1_api
Requires:       junit
Requires:       jsf_1_1_api
Requires:       log4j
Requires:       portlet-1.0-api
Requires:       quartz16
Requires:       servlet_2_4_api
Requires:       struts >= 0:1.3.8
Requires:       tiles
Requires:       tomcat5
Requires:       velocity
Requires:       velocity-tools
Requires:       xapool

%description all
Spring everything except mocks
Optionals: log4j, cglib, jakarta-commons-attributes
velocity, freemarker, javamail, jms, ejb, axis, hessian, 
burlap, quartz, ehcache, jta, hibernate, hibernate3, 
hibernate-annotations, apache-jdo-2.0-api, ojb, ibatis,
jspapi, jakarta-taglibs-standard, jakarta-commons-fileupload,
tiles, itest, poi

#%package mock
#Summary:        Spring mock
#Group:          Development/Libraries/Application Frameworks
#Requires:       %{name} = 0:%{version}-%{release}
#Requires:       %{name}-core = 0:%{version}-%{release}
#
#%description mock
#Spring JNDI mocks, Servlet API mocks

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       %{name} = 0:%{version}-%{release}
Requires:       antlr
Requires:       axis
Requires:       dom4j
Requires:       jaxen
Requires:       ehcache
Requires:       hsqldb

%description demo
%{summary}.
Optionals: antlr, axis, dom4j, jaxen, ehcache, hsqldb

%prep
%setup -q -n %{bname}
pushd docs/reference
unzip -qq %{SOURCE1}
popd
chmod -R go=u-w *
#find . -name "*.jar" -exec rm {} \;
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done


for j in $(find test/org/springframework/orm/toplink -name "*.java"); do
    sed -i -e 's/oracle\.toplink\./oracle.toplink.essentials./g' $j
done
for j in $(find src/org/springframework/orm/toplink -name "*.java"); do
    sed -i -e 's/oracle\.toplink\./oracle.toplink.essentials./g' $j
done
for j in $(find src/org/springframework/orm/toplink -name "*.java"); do
    sed -i -e 's/oracle\.toplink\.essentials\.sessions\.SessionLog/oracle.toplink.essentials.logging.SessionLog/' $j
    sed -i -e 's/oracle\.toplink\.essentials\.sessions\.DefaultSessionLog/oracle.toplink.essentials.logging.DefaultSessionLog/' $j
    sed -i -e 's/oracle\.toplink\.essentials\.publicinterface\.Session/oracle.toplink.essentials.sessions.Session/' $j
done
## SessionBroker not available in glassfish-persistence
rm src/org/springframework/orm/toplink/SessionBrokerSessionFactory.java
## sessions.xml support not available in glassfish-persistence ?
rm src/org/springframework/orm/toplink/LocalSessionFactory.java
rm src/org/springframework/orm/toplink/LocalSessionFactoryBean.java
## no specific 904 available
rm src/org/springframework/orm/toplink/support/CommonsLoggingSessionLog904.java
# cannot test unavailables
rm test/org/springframework/orm/toplink/SessionBrokerFactoryTests.java

# the following are test input files
mv tiger/test/order-supplemental.jar.no tiger/test/order-supplemental.jar
mv tiger/test/order.jar.no tiger/test/order.jar
mv tiger/test/org/springframework/orm/jpa/jpa-archive.jar.no tiger/test/org/springframework/orm/jpa/jpa-archive.jar

rm -rf tiger/src/org/springframework/instrument/classloading/oc4j/
rm -rf tiger/src/org/springframework/instrument/classloading/glassfish/
rm -f src/org/springframework/transaction/jta/WebSphereUowTransactionManager.java
rm -f test/org/springframework/transaction/jta/WebSphereUowTransactionManagerTests.java
rm -f test/org/springframework/transaction/jta/MockUOWManager.java

# tests with non free requires
rm tiger/test/org/springframework/instrument/classloading/glassfish/GlassFishLoadTimeWeaverTests.java
rm tiger/test/org/springframework/instrument/classloading/oc4j/OC4JClassPreprocessorAdapterTests.java
rm tiger/test/org/springframework/instrument/classloading/oc4j/OC4JLoadTimeWeaverTests.java

# requires bsh2 -> asm1 <--> asm2
rm test/org/springframework/scripting/bsh/BshScriptFactoryTests.java

# temp rm wait for newer hibernate3
rm tiger/test/org/springframework/orm/jpa/hibernate/HibernateMultiEntityManagerFactoryIntegrationTests.java

# temp rm wait for either openjpa or aspectj fix
####rm tiger/test/org/springframework/orm/jpa/openjpa/OpenJpaEntityManagerFactoryWithAspectJWeavingIntegrationTests.java

## !?! No tests found in org.springframework.test.context.SpringRunnerContextCacheTests ?!?
#rm tiger/test/org/springframework/test/context/SpringRunnerContextCacheTests.java
## see spring-2.5.1-SpringJUnit4SuiteTests.patch

## !?! No tests found in org.springframework.test.context.TestContextManagerTests ?!?
#rm tiger/test/org/springframework/test/context/TestContextManagerTests.java

## !?! No tests found in org.springframework.test.context.TestExecutionListenersTests ?!?
#rm tiger/test/org/springframework/test/context/TestExecutionListenersTests.java


%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
#%patch7 -b .sav7
%patch8 -b .sav8
#%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11

%if %{jpp5}
%patch21 -b .sav21
%patch22 -b .sav22
%patch23 -b .sav23
%patch24 -b .sav24
%patch25 -b .sav25
%patch26 -b .sav26
%patch27 -b .sav27
%patch28 -b .sav28
%patch29 -b .sav29
%patch30 -b .sav30
%patch31 -b .sav31
rm src/org/springframework/remoting/httpinvoker/SimpleHttpInvokerServiceExporter.java
rm src/org/springframework/remoting/caucho/SimpleBurlapServiceExporter.java
rm src/org/springframework/remoting/caucho/SimpleHessianServiceExporter.java
rm src/org/springframework/jdbc/support/xml/Jdbc4SqlXmlHandler.java
rm src/org/springframework/jdbc/support/nativejdbc/Jdbc4NativeJdbcExtractor.java
rm tiger/src/org/springframework/remoting/support/SimpleHttpServerFactoryBean.java
rm tiger/src/org/springframework/remoting/jaxws/SimpleHttpServerJaxWsServiceExporter.java
rm tiger/src/org/springframework/beans/factory/serviceloader/ServiceLoaderFactoryBean.java
rm tiger/src/org/springframework/beans/factory/serviceloader/AbstractServiceLoaderBasedFactoryBean.java
rm tiger/src/org/springframework/beans/factory/serviceloader/ServiceFactoryBean.java
rm tiger/src/org/springframework/beans/factory/serviceloader/ServiceListFactoryBean.java

rm test/org/springframework/jdbc/support/SQLExceptionSubclassFactory.java
rm test/org/springframework/jdbc/support/SQLExceptionSubclassTranslatorTests.java
rm tiger/test/org/springframework/beans/factory/serviceloader/ServiceLoaderTests.java
rm tiger/test/org/springframework/jmx/export/annotation/JmxUtilsAnnotationTests.java
%endif

rm tiger/src/org/springframework/orm/jpa/vendor/Eclipse*.java
rm tiger/test/org/springframework/orm/jpa/eclipselink/EclipseLinkEntityManagerFactoryIntegrationTests.java


%build

# BUILD/spring/autobuilds/apps/jpetstore/lib/ibatis-common.jar.no
ln -sf $(build-classpath apache-ibatis-common) autobuilds/apps/jpetstore/lib/ibatis-common.jar
# BUILD/spring/autobuilds/lib/ant-addons/path-to-fileset.jar.no

# BUILD/spring/autobuilds/lib/aspectj/aspectjrt-1.2.1.jar.no
ln -sf $(build-classpath aspectjrt) autobuilds/lib/aspectj/aspectjrt-1.2.1.jar
# BUILD/spring/autobuilds/lib/cactus/cactus-1.7.1.jar.no
ln -sf $(build-classpath cactus-14/cactus) autobuilds/lib/cactus/cactus-1.7.1.jar
# BUILD/spring/autobuilds/lib/cactus/cactus-ant-1.7.1.jar.no
ln -sf $(build-classpath cactus-14/cactus-ant) autobuilds/lib/cactus/cactus-ant-1.7.1.jar
# BUILD/spring/autobuilds/lib/cargo/cargo-0.6.jar.no

# BUILD/spring/autobuilds/lib/jakarta-commons/commons-httpclient-2.0.jar.no
ln -sf $(build-classpath commons-httpclient) autobuilds/lib/jakarta-commons/commons-httpclient-2.0.jar
# BUILD/spring/autobuilds/lib/junit-addons/junit-addons-1.4.jar.no
ln -sf $(build-classpath junit-addons) autobuilds/lib/junit-addons/junit-addons-1.4.jar
# BUILD/spring/docs/reference/lib/avalon-framework-cvs-20020806.jar.no
ln -sf $(build-classpath excalibur/avalon-framework) docs/reference/lib/avalon-framework-cvs-20020806.jar
# BUILD/spring/docs/reference/lib/batik.jar.no
ln -sf $(build-classpath batik-all) docs/reference/lib/batik.jar
# BUILD/spring/docs/reference/lib/fop.jar.no
ln -sf $(build-classpath xmlgraphics-fop) docs/reference/lib/fop.jar
# BUILD/spring/docs/reference/lib/jai_codec.jar.no

# BUILD/spring/docs/reference/lib/jai_core.jar.no

# BUILD/spring/docs/reference/lib/saxon-dbxsl-extensions.jar.no

# BUILD/spring/docs/reference/lib/saxon.jar.no
ln -sf $(build-classpath saxon) docs/reference/lib/saxon.jar
# BUILD/spring/lib/activemq/activemq-1.1.jar.no
ln -sf $(build-classpath activemq3) lib/activemq/activemq-1.1.jar
# BUILD/spring/lib/ant/ant.jar.no
ln -sf $(build-classpath ant) lib/ant/ant.jar
# BUILD/spring/lib/ant/ant-junit.jar.no
ln -sf $(build-classpath ant/ant-junit) lib/ant/ant-junit.jar
# BUILD/spring/lib/ant/ant-launcher.jar.no
ln -sf $(build-classpath ant-launcher) lib/ant/ant-launcher.jar
# BUILD/spring/lib/ant/ant-trax.jar.no
ln -sf $(build-classpath ant/ant-trax) lib/ant/ant-trax.jar
# BUILD/spring/lib/antlr/antlr-2.7.6.jar.no
ln -sf $(build-classpath antlr) lib/antlr/antlr-2.7.6.jar
# BUILD/spring/lib/aopalliance/aopalliance.jar.no
ln -sf $(build-classpath aopalliance) lib/aopalliance/aopalliance.jar
# BUILD/spring/lib/asm/asm-2.2.3.jar.no
ln -sf $(build-classpath asm2/asm2) lib/asm/asm-2.2.3.jar
# BUILD/spring/lib/asm/asm-commons-2.2.3.jar.no
ln -sf $(build-classpath asm2/asm2-commons) lib/asm/asm-commons-2.2.3.jar
# BUILD/spring/lib/asm/asm-util-2.2.3.jar.no
ln -sf $(build-classpath asm2/asm2-util) lib/asm/asm-util-2.2.3.jar
# BUILD/spring/lib/aspectj/aspectjrt.jar.no
ln -sf $(build-classpath aspectjrt) lib/aspectj/aspectjrt.jar
# BUILD/spring/lib/aspectj/aspectjtools.jar.no
ln -sf $(build-classpath aspectjtools) lib/aspectj/aspectjtools.jar
# BUILD/spring/lib/aspectj/aspectjweaver.jar.no
ln -sf $(build-classpath aspectjweaver) lib/aspectj/aspectjweaver.jar
# BUILD/spring/lib/aws/spring-aws-ant.jar.no

# BUILD/spring/lib/axis/axis.jar.no
ln -sf $(build-classpath axis/axis) lib/axis/axis.jar
# BUILD/spring/lib/axis/wsdl4j.jar.no
ln -sf $(build-classpath wsdl4j) lib/axis/wsdl4j.jar
# BUILD/spring/lib/bsh/bsh-2.0b4.jar.no
ln -sf $(build-classpath bsh2/bsh) lib/bsh/bsh-2.0b4.jar
## BUILD/spring/lib/bundlor/com.springsource.bundlor-1.0.0.M1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.bundlor.ant-1.0.0.M1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.antlr-3.0.1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.apache.commons.cli-1.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.apache.commons.logging-1.1.1.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.apache.ws.commons.schema-1.3.2.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.objectweb.asm-3.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.objectweb.asm.commons-3.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.org.objectweb.asm.tree-3.1.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.osgi.manifest-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.serviceability.ffdc-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.serviceability.output-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.server.serviceability.tracing-1.0.0.BUILD-20080905115514.jar.no
## BUILD/spring/lib/bundlor/com.springsource.slf4j.api-1.5.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.slf4j.org.apache.commons.logging-1.5.0.jar.no
## BUILD/spring/lib/bundlor/com.springsource.slf4j.org.apache.log4j-1.5.0.jar.no
## BUILD/spring/lib/bundlor/org.eclipse.osgi-3.4.0.v20080605-1900.jar.no
## BUILD/spring/lib/bundlor/org.springframework.beans-2.5.5.A.jar.no
## BUILD/spring/lib/bundlor/org.springframework.core-2.5.5.A.jar.no
## BUILD/spring/lib/bundlor/org.springframework.xml-1.5.2.A.jar.no
mv lib/bundlor lib/bundlor-not-yet-available
#for j in  lib/bundlor/*.jar.no; do
#    on=$(echo $j | sed -e 's/\.no$//');
#    mv $j $on
#done

# BUILD/spring/lib/c3p0/c3p0-0.9.1.2.jar.no
ln -sf $(build-classpath c3p0) lib/c3p0/c3p0-0.9.1.2.jar
# BUILD/spring/lib/caucho/hessian-3.1.3.jar.no
ln -sf $(build-classpath hessian-nodep) lib/caucho/hessian-3.1.3.jar
ln -sf $(build-classpath burlap) lib/caucho/burlap.jar
# BUILD/spring/lib/cglib/cglib-nodep-2.1_3.jar.no
ln -sf $(build-classpath cglib-nodep) lib/cglib/cglib-nodep-2.1_3.jar
# BUILD/spring/lib/clover/clover.jar.no

#BUILD/spring/lib/commonj/commonj-twm.jar.no
ln -sf $(build-classpath commonj_1_1_apis) lib/commonj/commonj-twm.jar
# BUILD/spring/lib/concurrent/backport-util-concurrent.jar.no
ln -sf $(build-classpath backport-util-concurrent) lib/concurrent/backport-util-concurrent.jar
# BUILD/spring/lib/dom4j/dom4j-1.6.1.jar.no
ln -sf $(build-classpath dom4j) lib/dom4j/dom4j-1.6.1.jar
# BUILD/spring/lib/dom4j/jaxen-1.1-beta-7.jar.no
ln -sf $(build-classpath jaxen) lib/dom4j/jaxen-1.1-beta-7.jar
# BUILD/spring/lib/easymock/easymockclassextension.jar.no
ln -sf $(build-classpath easymock-classextension) lib/easymock/easymockclassextension.jar
# BUILD/spring/lib/easymock/easymock.jar.no
ln -sf $(build-classpath easymock) lib/easymock/easymock.jar
# BUILD/spring/lib/eclipselink/eclipselink.jar.no

# BUILD/spring/lib/ehcache/ehcache-1.5.0.jar.no
ln -sf $(build-classpath ehcache) lib/ehcache/ehcache-1.5.0.jar
# BUILD/spring/lib/fop/fop.jar.no
ln -sf $(build-classpath xmlgraphics-fop) lib/fop/fop.jar
# BUILD/spring/lib/freemarker/freemarker.jar.no
ln -sf $(build-classpath freemarker) lib/freemarker/freemarker.jar
# BUILD/spring/lib/glassfish/glassfish-clapi.jar.no

# BUILD/spring/lib/groovy/groovy-1.5.6.jar.no
ln -sf $(build-classpath groovy15-all) lib/groovy/groovy-1.5.6.jar
# BUILD/spring/lib/hibernate/hibernate3.jar.no
ln -sf $(build-classpath hibernate3) lib/hibernate/hibernate3.jar
# BUILD/spring/lib/hibernate/hibernate-annotations.jar.no
ln -sf $(build-classpath hibernate3-annotations) lib/hibernate/hibernate-annotations.jar
# BUILD/spring/lib/hibernate/hibernate-commons-annotations.jar.no

# BUILD/spring/lib/hibernate/hibernate-entitymanager.jar.no
ln -sf $(build-classpath hibernate3-entitymanager) lib/hibernate/hibernate-entitymanager.jar
# BUILD/spring/lib/hsqldb/hsqldb.jar.no
ln -sf $(build-classpath hsqldb) lib/hsqldb/hsqldb.jar
# BUILD/spring/lib/httpclient/commons-httpclient-3.0.jar.no
ln -sf $(build-classpath commons-httpclient) lib/httpclient/commons-httpclient-3.0.jar
# BUILD/spring/lib/httpunit/httpunit.jar.no
ln -sf $(build-classpath httpunit) lib/httpunit/httpunit.jar
# BUILD/spring/lib/httpunit/Tidy.jar.no
ln -sf $(build-classpath jtidy) lib/httpunit/Tidy.jar
# BUILD/spring/lib/ibatis/ibatis-2.3.4.726.jar.no
ln -sf $(build-classpath apache-ibatis) lib/ibatis/ibatis-2.3.4.726.jar
# BUILD/spring/lib/innovation/HTTPClient-0.3-3.jar.no

# BUILD/spring/lib/itext/iText-2.1.3.jar.no
ln -sf $(build-classpath itext) lib/itext/iText-2.1.3.jar
# BUILD/spring/lib/j2ee/activation.jar.no
ln -sf $(build-classpath jaf_1_1_api) lib/j2ee/activation.jar
# BUILD/spring/lib/j2ee/common-annotations.jar.no
ln -sf $(build-classpath annotation_1_0_api) lib/j2ee/common-annotations.jar
# BUILD/spring/lib/j2ee/connector.jar.no
ln -sf $(build-classpath j2ee_connector_1_5_api) lib/j2ee/connector.jar
# BUILD/spring/lib/j2ee/ejb-api.jar.no
ln -sf $(build-classpath ejb_3_0_api) lib/j2ee/ejb-api.jar
# BUILD/spring/lib/j2ee/el-api.jar.no
ln -sf $(build-classpath el_1_0_api) lib/j2ee/el-api.jar

ln -sf $(build-classpath interceptor_3_0_api) lib/j2ee/interceptor-api.jar

# BUILD/spring/lib/j2ee/jaxrpc.jar.no
ln -sf $(build-classpath jaxrpc_1_1_api) lib/j2ee/jaxrpc.jar
# BUILD/spring/lib/j2ee/jms.jar.no
ln -sf $(build-classpath jms_1_1_api) lib/j2ee/jms.jar
# BUILD/spring/lib/j2ee/jsf-api.jar.no
ln -sf $(build-classpath jsf_1_2_api) lib/j2ee/jsf-api.jar
# BUILD/spring/lib/j2ee/jsp-api.jar.no
ln -sf $(build-classpath jsp_2_1_api) lib/j2ee/jsp-api.jar
# BUILD/spring/lib/j2ee/jstl.jar.no
ln -sf $(build-classpath jstl) lib/j2ee/jstl.jar
# BUILD/spring/lib/j2ee/jta.jar.no
ln -sf $(build-classpath jta_1_1_api) lib/j2ee/jta.jar
# BUILD/spring/lib/j2ee/mail.jar.no
ln -sf $(build-classpath javamail_1_4_api) lib/j2ee/mail.jar
# BUILD/spring/lib/j2ee/persistence.jar.no
ln -sf $(build-classpath jpa_1_0B_api) lib/j2ee/persistence.jar
# BUILD/spring/lib/j2ee/rowset.jar.no

# BUILD/spring/lib/j2ee/servlet-api.jar.no
ln -sf $(build-classpath servlet_2_5_api) lib/j2ee/servlet-api.jar
# BUILD/spring/lib/jakarta-commons/commons-attributes-api.jar.no
ln -sf $(build-classpath commons-attributes-api) lib/jakarta-commons/commons-attributes-api.jar
# BUILD/spring/lib/jakarta-commons/commons-attributes-compiler.jar.no
ln -sf $(build-classpath commons-attributes-compiler) lib/jakarta-commons/commons-attributes-compiler.jar
# BUILD/spring/lib/jakarta-commons/commons-beanutils.jar.no
ln -sf $(build-classpath commons-beanutils) lib/jakarta-commons/commons-beanutils.jar
# BUILD/spring/lib/jakarta-commons/commons-codec.jar.no
ln -sf $(build-classpath commons-codec) lib/jakarta-commons/commons-codec.jar
# BUILD/spring/lib/jakarta-commons/commons-collections.jar.no
ln -sf $(build-classpath commons-collections) lib/jakarta-commons/commons-collections.jar
# BUILD/spring/lib/jakarta-commons/commons-dbcp.jar.no
ln -sf $(build-classpath commons-dbcp) lib/jakarta-commons/commons-dbcp.jar
# BUILD/spring/lib/jakarta-commons/commons-digester.jar.no
ln -sf $(build-classpath commons-digester) lib/jakarta-commons/commons-digester.jar
# BUILD/spring/lib/jakarta-commons/commons-discovery.jar.no
ln -sf $(build-classpath commons-discovery) lib/jakarta-commons/commons-discovery.jar
# BUILD/spring/lib/jakarta-commons/commons-fileupload.jar.no
ln -sf $(build-classpath commons-fileupload) lib/jakarta-commons/commons-fileupload.jar
# BUILD/spring/lib/jakarta-commons/commons-httpclient.jar.no
ln -sf $(build-classpath commons-httpclient) lib/jakarta-commons/commons-httpclient.jar
# BUILD/spring/lib/jakarta-commons/commons-io.jar.no
ln -sf $(build-classpath commons-io) lib/jakarta-commons/commons-io.jar
# BUILD/spring/lib/jakarta-commons/commons-lang.jar.no
ln -sf $(build-classpath commons-lang) lib/jakarta-commons/commons-lang.jar
# BUILD/spring/lib/jakarta-commons/commons-logging.jar.no
ln -sf $(build-classpath commons-logging) lib/jakarta-commons/commons-logging.jar
# BUILD/spring/lib/jakarta-commons/commons-pool.jar.no
ln -sf $(build-classpath commons-pool) lib/jakarta-commons/commons-pool.jar
# BUILD/spring/lib/jakarta-commons/commons-validator.jar.no
ln -sf $(build-classpath commons-validator) lib/jakarta-commons/commons-validator.jar
# BUILD/spring/lib/jakarta-taglibs/standard.jar.no
ln -sf $(build-classpath taglibs-standard) lib/jakarta-taglibs/standard.jar
# BUILD/spring/lib/jamon/jamon-2.7.jar.no
ln -sf $(build-classpath jamonapi) lib/jamon/jamon-2.7.jar
# BUILD/spring/lib/jarjar/jarjar.jar.no
ln -sf $(build-classpath jarjar) lib/jarjar/jarjar.jar
# BUILD/spring/lib/jasperreports/jasperreports-2.0.5.jar.no
ln -sf $(build-classpath jasperreports) lib/jasperreports/jasperreports-2.0.5.jar
# BUILD/spring/lib/javassist/javassist-3.4.GA.jar.no
ln -sf $(build-classpath javassist) lib/javassist/javassist-3.4.GA.jar
# BUILD/spring/lib/jaxws/jaxb-api.jar.no
ln -sf $(build-classpath jaxb_2_1_api) lib/jaxws/jaxb-api.jar
# BUILD/spring/lib/jaxws/jaxws-api.jar.no
ln -sf $(build-classpath jaxws_2_1_api) lib/jaxws/jaxws-api.jar
# BUILD/spring/lib/jaxws/jws-api.jar.no
ln -sf $(build-classpath ws_metadata_2_0_api) lib/jaxws/jws-api.jar
# BUILD/spring/lib/jaxws/saaj-api.jar.no
ln -sf $(build-classpath saaj_1_3_api) lib/jaxws/saaj-api.jar
# BUILD/spring/lib/jdo/jdo2-api.jar.no
ln -sf $(build-classpath jdo20) lib/jdo/jdo2-api.jar
# BUILD/spring/lib/jdom/jdom.jar.no
ln -sf $(build-classpath jdom) lib/jdom/jdom.jar
# BUILD/spring/lib/jdt/jdt-compiler-3.1.1.jar.no
ln -sf $(build-classpath ecj) lib/jdt/jdt-compiler-3.1.1.jar
# BUILD/spring/lib/jets3t/jets3t.jar.no

# BUILD/spring/lib/jexcelapi/jxl.jar.no
ln -sf $(build-classpath jexcelapi) lib/jexcelapi/jxl.jar
# BUILD/spring/lib/jmock/jmock-cglib.jar.no
ln -sf $(build-classpath jmock-cglib) lib/jmock/jmock-cglib.jar
# BUILD/spring/lib/jmock/jmock.jar.no
ln -sf $(build-classpath jmock) lib/jmock/jmock.jar
# BUILD/spring/lib/jmx/jmxremote.jar.no

# BUILD/spring/lib/jmx/jmxremote_optional.jar.no

# BUILD/spring/lib/jmx/jmxri.jar.no

# BUILD/spring/lib/jotm/jotm.jar.no
ln -sf $(build-classpath jotm/jotm) lib/jotm/jotm.jar
# BUILD/spring/lib/jotm/xapool.jar.no
ln -sf $(build-classpath xapool) lib/jotm/xapool.jar
# BUILD/spring/lib/jruby/jruby.jar.no
ln -sf $(build-classpath jruby) lib/jruby/jruby.jar
ln -sf $(build-classpath jruby-bytelist) lib/jruby/jruby-bytelist.jar
# BUILD/spring/lib/junit/junit-3.8.2.jar.no
ln -sf $(build-classpath junit) lib/junit/junit-3.8.2.jar
# BUILD/spring/lib/junit/junit-4.4.jar.no
ln -sf $(build-classpath junit44) lib/junit/junit-4.4.jar
# BUILD/spring/lib/log4j/log4j-1.2.15.jar.no
ln -sf $(build-classpath log4j) lib/log4j/log4j-1.2.15.jar
# BUILD/spring/lib/maven/maven-ant-tasks.jar.no

# BUILD/spring/lib/oc4j/oc4j-clapi.jar.no

# BUILD/spring/lib/ognl/ognl.jar.no
ln -sf $(build-classpath ognl) lib/ognl/ognl.jar
# BUILD/spring/lib/openjpa/openjpa-1.1.0.jar.no
ln -sf $(build-classpath openjpa/all) lib/openjpa/openjpa-1.1.0.jar
# BUILD/spring/lib/osgi/org.eclipse.osgi_3.1.1.jar.no

# BUILD/spring/lib/poi/poi-3.0.1.jar.no
ln -sf $(build-classpath jakarta-poi) lib/poi/poi-3.0.1.jar
# BUILD/spring/lib/portlet/portlet-api.jar.no
ln -sf $(build-classpath portlet_1_0_api) lib/portlet/portlet-api.jar
# BUILD/spring/lib/qdox/qdox-1.5.jar.no
ln -sf $(build-classpath qdox15) lib/qdox/qdox-1.5.jar
# BUILD/spring/lib/quartz/quartz-all-1.6.1.jar.no
ln -sf $(build-classpath quartz16-all) lib/quartz/quartz-all-1.6.1.jar
# BUILD/spring/lib/serp/serp-1.13.1.jar.no
ln -sf $(build-classpath serp) lib/serp/serp-1.13.1.jar
# BUILD/spring/lib/slf4j/slf4j-api-1.5.0.jar.no
ln -sf $(build-classpath slf4j/api) lib/slf4j/slf4j-api-1.5.0.jar
# BUILD/spring/lib/slf4j/slf4j-log4j12-1.5.0.jar.no
ln -sf $(build-classpath slf4j/log4j12) lib/slf4j/slf4j-log4j12-1.5.0.jar
# BUILD/spring/lib/struts/struts.jar.no
ln -sf $(build-classpath struts) lib/struts/struts.jar
ln -sf $(build-classpath struts-tiles) lib/struts/struts-tiles.jar
ln -sf $(build-classpath struts-extras) lib/struts/struts-extras.jar
# BUILD/spring/lib/testng/testng-5.8-jdk15.jar.no
ln -sf $(build-classpath testng-jdk15) lib/testng/testng-5.8-jdk15.jar
# BUILD/spring/lib/tiles/tiles-api-2.0.6.jar.no
ln -sf $(build-classpath tiles/api) lib/tiles/tiles-api-2.0.6.jar
# BUILD/spring/lib/tiles/tiles-core-2.0.6.jar.no
ln -sf $(build-classpath tiles/core) lib/tiles/tiles-core-2.0.6.jar
# BUILD/spring/lib/tiles/tiles-jsp-2.0.6.jar.no
ln -sf $(build-classpath tiles/jsp) lib/tiles/tiles-jsp-2.0.6.jar
# BUILD/spring/lib/tomcat/catalina.jar.no
ln -sf $(build-classpath tomcat5/catalina) lib/tomcat/catalina.jar
# BUILD/spring/lib/tomcat/naming-resources.jar.no
ln -sf $(build-classpath tomcat5/naming-resources) lib/tomcat/naming-resources.jar
#BUILD/spring-framework-2.5.1/lib/toplink/toplink-api.jar.no
ln -sf $(build-classpath glassfish-persistence-1.0b-api) lib/toplink/toplink-api.jar
#mv lib/toplink/toplink-api.jar.no lib/toplink/toplink-api.jar
#BUILD/spring-framework-2.5.1/lib/toplink/toplink-essentials.jar.no
ln -sf $(build-classpath glassfish/toplink-essentials) lib/toplink/toplink-essentials.jar
#mv lib/toplink/toplink-essentials.jar.no lib/toplink/toplink-essentials.jar

# BUILD/spring/lib/velocity/velocity-1.5.jar.no
ln -sf $(build-classpath velocity) lib/velocity/velocity-1.5.jar
# BUILD/spring/lib/velocity/velocity-tools-view-1.4.jar.no
ln -sf $(build-classpath velocity-tools) lib/velocity/velocity-tools-view-1.4.jar
# BUILD/spring/lib/websphere/websphere_uow_api.jar.no

# BUILD/spring/lib/xdoclet/xjavadoc-1.1.jar.no
ln -sf $(build-classpath xjavadoc) lib/xdoclet/xjavadoc-1.1.jar
# BUILD/spring/lib/xerces/xercesImpl.jar.no
ln -sf $(build-classpath xerces-j2) lib/xerces/xercesImpl.jar
# BUILD/spring/samples/jca-1.0/dist/spring-jca-sample.jar.no

# BUILD/spring/samples/jca-1.0/lib/spring-cciblackbox-tx.jar.no

##################################################################
ant alljars tests javadoc doc.html

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 dist/modules/%{bname}-aop.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/aop-%{version}.jar
install -m 644 dist/modules/%{bname}-beans.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/beans-%{version}.jar
install -m 644 dist/modules/%{bname}-context.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/context-%{version}.jar
install -m 644 dist/modules/%{bname}-core.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 dist/modules/%{bname}-jms.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/jms-%{version}.jar
install -m 644 dist/modules/%{bname}-jdbc.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/jdbc-%{version}.jar
install -m 644 dist/modules/%{bname}-tx.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/tx-%{version}.jar
install -m 644 dist/modules/%{bname}-orm.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/orm-%{version}.jar
install -m 644 dist/modules/%{bname}-context-support.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/context-support-%{version}.jar
install -m 644 dist/modules/%{bname}-web.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/web-%{version}.jar
install -m 644 dist/modules/%{bname}-webmvc.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-%{version}.jar
install -m 644 dist/modules/%{bname}-webmvc-portlet.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-portlet-%{version}.jar
install -m 644 dist/modules/%{bname}-webmvc-struts.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/webmvc-struts-%{version}.jar
install -m 644 dist/modules/%{bname}-test.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/test-%{version}.jar
install -m 644 dist/weaving/%{bname}-tomcat-weaver.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/tomcat-weaver-%{version}.jar
install -m 644 dist/weaving/%{bname}-aspects.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/aspects-%{version}.jar
install -m 644 dist/weaving/%{bname}-agent.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}/agent-%{version}.jar

install -m 644 dist/%{bname}.jar \
       $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%add_to_maven_depmap org.springframework %{bname}-agent %{version} JPP/%{name} agent
%add_to_maven_depmap org.springframework %{bname}-aop %{version} JPP/%{name} aop
%add_to_maven_depmap org.springframework %{bname}-aspects %{version} JPP/%{name} aspects
%add_to_maven_depmap org.springframework %{bname}-beans %{version} JPP/%{name} beans
%add_to_maven_depmap org.springframework %{bname}-context-support %{version} JPP/%{name} context-support
%add_to_maven_depmap org.springframework %{bname}-context %{version} JPP/%{name} context
%add_to_maven_depmap org.springframework %{bname}-core %{version} JPP/%{name} core
%add_to_maven_depmap org.springframework %{bname}-jdbc %{version} JPP/%{name} jdbc
%add_to_maven_depmap org.springframework %{bname}-jms %{version} JPP/%{name} jms
%add_to_maven_depmap org.springframework %{bname}-orm %{version} JPP/%{name} orm
%add_to_maven_depmap org.springframework %{bname}-test %{version} JPP/%{name} test
%add_to_maven_depmap org.springframework %{bname}-tomcat-weaver %{version} JPP/%{name} tomcat-weaver
%add_to_maven_depmap org.springframework %{bname}-tx %{version} JPP/%{name} tx
%add_to_maven_depmap org.springframework %{bname}-web %{version} JPP/%{name} web
%add_to_maven_depmap org.springframework %{bname}-webmvc-portlet %{version} JPP/%{name} webmvc-portlet
%add_to_maven_depmap org.springframework %{bname}-webmvc-struts %{version} JPP/%{name} webmvc-struts
%add_to_maven_depmap org.springframework %{bname}-webmvc %{version} JPP/%{name} webmvc
%add_to_maven_depmap org.springframework %{bname} %{version} JPP %{name}

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 maven/spring-agent.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-agent.pom
install -m 644 maven/spring-aop.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-aop.pom
install -m 644 maven/spring-aspects.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-aspects.pom
install -m 644 maven/spring-beans.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-beans.pom
install -m 644 maven/spring-context-support.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-context-support.pom
install -m 644 maven/spring-context.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-context.pom
install -m 644 maven/spring-core.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -m 644 maven/spring-jdbc.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jdbc.pom
install -m 644 maven/spring-jms.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jms.pom
install -m 644 maven/spring-orm.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-orm.pom
install -m 644 maven/spring-test.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-test.pom
install -m 644 maven/spring-tomcat-weaver.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tomcat-weaver.pom
install -m 644 maven/spring-tx.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tx.pom
install -m 644 maven/spring-web.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web.pom
install -m 644 maven/spring-webmvc-portlet.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc-portlet.pom
install -m 644 maven/spring-webmvc-struts.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc-struts.pom
install -m 644 maven/spring-webmvc.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-webmvc.pom
install -m 644 maven/spring.pom \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

# definitions

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
install -m 644 src/org/springframework/beans/factory/xml/spring-beans.dtd \
       $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-beans.dtd
install -m 644 src/org/springframework/beans/factory/xml/spring-beans-2.0.dtd \
       $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}-beans-2.0.dtd
install -m 644 src/org/springframework/web/servlet/view/freemarker/spring.ftl \
       $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}.ftl
install -m 644 src/org/springframework/web/servlet/tags/spring.tld \
       $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}.tld
install -m 644 src/org/springframework/web/servlet/tags/form/spring-form.tld \
       $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}form.tld
install -m 644 src/org/springframework/web/servlet/view/velocity/spring.vm \
       $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/%{bname}.vm

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference
cp -pr docs/reference/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference
cp -p license.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
cp -pr samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples

## osgi
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/osgi/bnd
#cp -pr osgi/bnd/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/osgi/bnd

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

#%if %{gcj_support}
#%post mock
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif
#
#%if %{gcj_support}
#%postun mock
#if [ -x %{_bindir}/rebuild-gcj-db ]
#then
#  %{_bindir}/rebuild-gcj-db
#fi
#%endif

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/etc/*
#%dir %{_datadir}/%{name}-%{version}/osgi
#%dir %{_datadir}/%{name}-%{version}/osgi/bnd
#%{_datadir}/%{name}-%{version}/osgi/bnd/*
%{_docdir}/%{name}-%{version}/license.txt
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-*%{version}.jar.*
%endif

%files core
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/core*.jar

%files agent
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/agent*.jar

%files aop
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/aop*.jar

%files aspects
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/aspects*.jar

%files beans
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/beans*.jar

%files context
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/context.jar
%{_javadir}/%{name}/context-%{version}.jar

%files context-support
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/context-support*.jar

%files jms
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jms*.jar

%files jdbc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jdbc*.jar

%files orm
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/orm*.jar

%files test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/test*.jar

%files tomcat-weaver
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/tomcat-weaver*.jar

%files tx
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/tx*.jar

%files web
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/web-*.jar
%{_javadir}/%{name}/web.jar

%files webmvc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/webmvc.jar
%{_javadir}/%{name}/webmvc-%{version}.jar

%files webmvc-portlet
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/webmvc-portlet*.jar

%files webmvc-struts
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/webmvc-struts*.jar

%files all
%defattr(0644,root,root,0755)
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/samples

%changelog
* Fri Mar 20 2009 Ralph Apel <r.apel at r-apel.de> 0:2.5.6-1
- 2.5.6
- (B)R junit44 (4.5 won't do)

* Mon Mar 16 2009 Ralph Apel <r.apel at r-apel.de> 0:2.5.5-3.jpp5
- Adapt to struts-1.3.8
- (B)R jsf_1_1_api instead of myfaces

* Wed Oct 29 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.5-2.jpp6
- BR java-devel >= 1.6.0 (.ge. and no epoch, [openjdk])
- BR easymock-java5
- Link in excalibur/avalon-framework

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:2.5.5-2
- fix avalon-framework symlink
- remove javadoc scriptlets
- GCJ fixes
- update BuildRoot
- update License
- fix maven directory ownership
- fix file permissions

* Fri Jul 18 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.5-1.jpp5
- 2.5.5

* Thu Jul 17 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.1-2.jpp5
- Fix depmap frag for context-support
- Patch to jruby 1.1.1
- Import to cvs
- Drop mock post/postun

* Thu Mar 06 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.1-1jpp
- 2.5.1 as spring2

* Tue Aug 07 2007 Ralph Apel <r.apel at r-apel.de> 0:1.2.9-1jpp
- Upgrade to 1.2.9

* Mon Jul 23 2007 Ralph Apel <r.apel at r-apel.de> 0:1.2.7-2jpp
- Change jsf (B)R to myfaces
- Change jetty4 (B)R to jetty5
- Add easymock-classextension BR and fix lib name
- Add ibatis1 (B)R 
- Add poms and depmap frags
- Add gcj_support option
- Make Vendor, Distribution based on macro

* Tue Mar 28 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.7-1jpp
- Update to 1.2.7

* Thu Mar 16 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-5jpp
- Patch out tests fork option -XX:MaxPermSize=, will only work with sun
- Set JAVA_HOME more generally

* Thu Mar 16 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-4jpp
- Avoid ibatis1 dependency
- Make hibernate2 dependency optional
- Reduce mx4j logging
- Switch to burlap-3.0.8 and hessian-3.0.8
- Add missing jetty4 dependency

* Sat Mar 11 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-3jpp
- Use smaller source zip without dependencies included
- Replace apache-jdo20 (1.6/devel) with apache-jdo-2.0-api
- Patch DefaultJdoDialect.patch correspondently
- Specify BR mx4j >= 0:3.0.1-2jpp

* Fri Mar 10 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-2jpp
- Eliminated all non-free dependencies
- Require mx4j >= 3.0.1-2jpp with burlap and hessian support
- Use burlap3 and hessian3

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-1jpp
- Update test to 1.2.6

* Tue Oct 18 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.5-2jpp
- Add missing jars and sub-packages

* Thu Sep 29 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.5-1jpp
- Upgrade to 1.2.5

* Wed Sep 21 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.4-1jpp
- Upgrade to 1.2.4
- Pending toplink-api from upstream (oracle)
- Pending rowset from upstream (sun), must still build with JDK-1.5

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-2jpp
- Adapt to axis-1.2: JaxRpcSupportTests.java to override loadService()

* Wed Feb 16 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-1jpp
- Upgrade to 1.1.4 (thx Joe Wortmann)

* Mon Dec 13 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1.3-1jpp
- Upgrade to 1.1.3
- Break up into subpackages and relax dependencies
- Fix non-versioned jars in /usr/share/java/spring

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1-1jpp
- First release

